## List all Workflows `client.Workflows.List(ctx, params) (*V4PagePaginationArray[WorkflowListResponse], error)` **get** `/accounts/{account_id}/workflows` Lists all workflows configured for the account. ### Parameters - `params WorkflowListParams` - `AccountID param.Field[string]` Path param - `Page param.Field[float64]` Query param - `PerPage param.Field[float64]` Query param - `Search param.Field[string]` Query param: Allows filtering workflows` name. ### Returns - `type WorkflowListResponse struct{…}` - `ID string` - `ClassName string` - `CreatedOn Time` - `Instances WorkflowListResponseInstances` - `Complete float64` - `Errored float64` - `Paused float64` - `Queued float64` - `Running float64` - `Terminated float64` - `Waiting float64` - `WaitingForPause float64` - `ModifiedOn Time` - `Name string` - `ScriptName string` - `TriggeredOn Time` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/workflows" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.Workflows.List(context.TODO(), workflows.WorkflowListParams{ AccountID: cloudflare.F("account_id"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "class_name": "class_name", "created_on": "2019-12-27T18:11:19.117Z", "instances": { "complete": 0, "errored": 0, "paused": 0, "queued": 0, "running": 0, "terminated": 0, "waiting": 0, "waitingForPause": 0 }, "modified_on": "2019-12-27T18:11:19.117Z", "name": "x", "script_name": "script_name", "triggered_on": "2019-12-27T18:11:19.117Z" } ], "success": true, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ```